Package org.apache.lucene.misc.index

## Class BinaryDocValueSelector

- java.lang.Object
- - org.apache.lucene.misc.index.BinaryDocValueSelector

- All Implemented Interfaces:
    `Serializable`, `IndexRearranger.DocumentSelector`

      public class BinaryDocValueSelector
      extends Object
      implements IndexRearranger.DocumentSelector, Serializable

  Select documents using binary doc values
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinaryDocValueSelector​(String field, HashSet<String> keySet)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static List<IndexRearranger.DocumentSelector>` | `createFromExistingIndex​(String field, Directory directory)` |
    `BitSet` | `getFilteredLiveDocs​(CodecReader reader)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryDocValueSelector

          public BinaryDocValueSelector​(String field,
                                        HashSet<String> keySet)

  - ### Method Detail

    - #### getFilteredLiveDocs

          public BitSet getFilteredLiveDocs​(CodecReader reader)
                                     throws IOException

      Specified by:
        `getFilteredLiveDocs` in interface `IndexRearranger.DocumentSelector`
      Throws:
        `IOException`

    - #### createFromExistingIndex

          public static List<IndexRearranger.DocumentSelector> createFromExistingIndex​(String field,
                                                                                       Directory directory)
                                                                                throws IOException

      Throws:
        `IOException`